## celery 3.1.23

=== debian/changelog ===
celery (3.1.23-7) unstable; urgency=medium

  * Fix bashisms in initd scripts. Closes: #858298.

 -- Brian May <bam@debian.org>  Thu, 30 Mar 2017 07:55:02 +1100

celery (3.1.23-6) unstable; urgency=medium

  * Change celeryd to depend on python-celery-common instead of python-celery.
    Closes: #858305.
  * Add celeryd depends on lsb-base.

 -- Brian May <bam@debian.org>  Fri, 24 Mar 2017 17:00:36 +1100

celery (3.1.23-5) unstable; urgency=medium

  * Move celeryd to admin section. Closes: #832192.

 -- Brian May <bam@debian.org>  Sun, 31 Jul 2016 16:19:29 +1000

celery (3.1.23-4) unstable; urgency=medium

  * Update standards version to 3.9.8
  * Fix su invocation. Closes: #824786.

 -- Brian May <bam@debian.org>  Wed, 25 May 2016 18:09:45 +1000

celery (3.1.23-2) unstable; urgency=medium

  * Update dependencies. Closes: #823720.

 -- Brian May <bam@debian.org>  Mon, 09 May 2016 11:11:06 +1000

celery (3.1.23-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL

  [ Brian May ]
  * New upstream release.

 -- Brian May <bam@debian.org>  Sun, 17 Apr 2016 19:17:26 +1000

=== debian/control ===
Source: celery
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Brian May <bam@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               docbook-to-man,
               dvipng,
               locales,
               python-all (>= 2.7),
               python-billiard (>= 3.3.0.23),
               python-dateutil (>= 1.5),
               python-doc,
               python-gevent,
               python-kombu (>= 3.0.34),
               python-kombu-doc,
               python-mailer,
               python-memcache,
               python-mock (>= 1.0.1),
               python-nose,
               python-openssl,
               python-pyparsing,
               python-pytyrant,
               python-redis,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-sqlalchemy,
               python-tz,
               python-unittest2,
               python3-all,
               python3-billiard (>= 3.3.0.23),
               python3-dateutil,
               python3-doc,
               python3-kombu (>= 3.0.34),
               python3-memcache,
               python3-mock (>= 1.0.1),
               python3-nose,
               python3-openssl,
               python3-pyparsing,
               python3-redis,
               python3-setuptools,
               python3-sqlalchemy,
               python3-tz,
               texlive-latex-base,
               texlive-latex-extra
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Standards-Version: 3.9.8
Homepage: http://www.celeryproject.org/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/celery.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/celery.git

Package: python-celery-common
Depends: python3-celery (= ${binary:Version}) | python-celery (= ${binary:Version}),
         ${misc:Depends}
Replaces: python-celery (<< 3.1.12-2)
Breaks: python-celery (<< 3.1.12-2)
Architecture: all
Description: async task/job queue based on message passing (common files)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the common files of the library.

Package: python-celery
Architecture: all
Depends: python-billiard (>= 3.3.0.23),
         python-dateutil (>= 1.5),
         python-kombu (>= 3.0.34),
         python-mailer,
         python-memcache,
         python-pkg-resources,
         python-pyparsing,
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-celery-doc,
          python-gevent,
          python-pytyrant,
          python-redis,
          python-sqlalchemy
Description: async task/job queue based on message passing (Python2 version)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the Python 2 version of the library.

Package: python3-celery
Architecture: all
Depends: python3-billiard (>= 3.3.0.23),
         python3-dateutil,
         python3-kombu (>= 3.0.34),
         python3-memcache,
         python3-pkg-resources,
         python3-pyparsing,
         python3-tz,
         ${misc:Depends},
         ${python3:Depends}
Suggests: python-celery-doc,
          python3-redis,
          python3-sqlalchemy
Description: async task/job queue based on message passing (Python3 version)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the Python 3 version of the library.

Package: python-celery-doc
Section: doc
Architecture: all
Depends: libjs-jquery,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: async task/job queue based on message passing (Documentation)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the documentation.

Package: celeryd
Section: admin
Architecture: all
Depends: adduser,
         python-celery-common (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         ${misc:Depends}
Breaks: python-celery (<< 3.0.24-1)
Suggests: rabbitmq-server
Description: async task/job queue based on message passing (daemons)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the init scripts to start the celery daemons.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/celery/celery-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## celery 4.0.2

=== debian/changelog ===
celery (4.0.2-0ubuntu1) artful; urgency=medium

  * New upstream release (4.0.2)
    - Refresh patches
    - d/control: add b-d on python3-sphinx-celery (docs),
      python{,3}-pytest (tests), python{,3}-case (tests) and
      python{,3}-eventlet (tests).
    - d/control: build docs with python3 sphinx
    - debian/patches/fix_endless_python3.6_loop_logger_isa.patch: Fix
      endless loop in logger_isa (Python 3.6).  Thanks to George
      Psarakis <giwrgos.psarakis@gmail.com>.
    - d/: celery 4.0+ has removed deprecated command-line programs:
      + celeryd, celerybeat, celeryd-multi are replaced by 'celery
        worker', 'celery beat' and 'celery multi', respectively
    - d/t/upstream: tests are now run with pytest
  * Drop:
    - Patches that no longer apply:
      + d/p/drop_downgrade.patch
      + d/p/intersphinx.patch
      + d/p/disable_unstable_tests.patch
      + d/p/0006-ci-Tests-passing-on-Python-3.5.patch
      + d/p/0008-Remove-bashisms-from-initd-scripts.patch

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 13 Jun 2017 15:05:10 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: celery
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 9),
@@ -11,8 +12,10 @@
                locales,
                python-all (>= 2.7),
                python-billiard (>= 3.3.0.23),
+               python-case,
                python-dateutil (>= 1.5),
                python-doc,
+               python-eventlet,
                python-gevent,
                python-kombu (>= 3.0.34),
                python-kombu-doc,
@@ -23,24 +26,29 @@
                python-openssl,
                python-pyparsing,
                python-pytyrant,
+               python-pytest,
                python-redis,
                python-setuptools,
-               python-sphinx (>= 1.0.7+dfsg),
                python-sqlalchemy,
                python-tz,
                python-unittest2,
                python3-all,
                python3-billiard (>= 3.3.0.23),
+               python3-case,
                python3-dateutil,
                python3-doc,
+               python3-eventlet,
                python3-kombu (>= 3.0.34),
                python3-memcache,
                python3-mock (>= 1.0.1),
                python3-nose,
                python3-openssl,
                python3-pyparsing,
+               python3-pytest,
                python3-redis,
                python3-setuptools,
+               python3-sphinx (>= 1.0.7+dfsg),
+               python3-sphinx-celery,
                python3-sqlalchemy,
                python3-tz,
                texlive-latex-base,

=== debian/rules ===
#!/usr/bin/make -f

PREFIX = debian/python-celery
PREFIX3 = debian/python3-celery
PREFIXC = debian/python-celery-common

export PYBUILD_NAME=celery

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installman:
	set -e ; \
	for doc in celery camqadm celeryev celeryctl; do \
	  docbook-to-man debian/manpage.$$doc.sgml > $$doc.1; \
	done
	dh_installman

override_dh_auto_build:
	PYTHONPATH=.:$$PYTHONPATH sphinx-build -b html -d .build/.doctrees -N docs .build/html
	ln docs/images/celery_128.png .build/html/_images/celery_128.png
	dh_auto_build

override_dh_auto_test:
	PYTHONPATH=. LC_ALL=C.UTF-8 \
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

override_dh_clean:
	rm -rf .build
	dh_clean

override_dh_auto_install:
	dh_auto_install
	rm $(PREFIX)/usr/bin/celery
	rm $(PREFIX3)/usr/bin/celery
	rmdir --ignore-fail-on-non-empty --parents $(PREFIX)/usr/bin $(PREFIX3)/usr/bin

override_dh_install:
	dh_install
	# Fix permissions
	chmod 755 $(PREFIXC)/usr/bin/celery

override_dh_installinit:
	ln extra/generic-init.d/celerybeat debian/celeryd.celerybeat.init
	ln extra/generic-init.d/celeryd debian/celeryd.celeryd.init
	dh_installinit --name celerybeat
	dh_installinit --name celeryd

override_dh_installchangelogs:
	dh_installchangelogs Changelog

## celery 4.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  apicheck   to verify that all modules are present in autodoc"
	@echo "  configcheck to verify that all modules are present in autodoc"
	@echo "  spelling   to perform a spell check"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PROJ.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PROJ.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PROJ"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PROJ"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: apicheck
apicheck:
	$(SPHINXBUILD) -b apicheck $(ALLSPHINXOPTS) $(BUILDDIR)/apicheck

.PHONY: configcheck
configcheck:
	$(SPHINXBUILD) -b configcheck $(ALLSPHINXOPTS) $(BUILDDIR)/configcheck

.PHONY: spelling
spelling:
	SPELLCHECK=1 $(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
celery (4.1.0-2ubuntu1) bionic; urgency=medium

  * d/t/upstream: tests are now run with pytest.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 24 Jan 2018 21:27:04 -0800

celery (4.1.0-2) unstable; urgency=low

  * Add python(3)-ephem to Depends to allow for solar based schedules.
  * Pick upstream patch to fix solar based scheduler.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Wed, 15 Nov 2017 14:58:01 +0100

celery (4.1.0-1) unstable; urgency=low

  * Upload to unstable (Closes: #872270).
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Build documentation in override_dh_sphinxdoc.
  * Clean up modified files to allow two builds in a row.
  * Bump Standards-Version to 4.1.1.
  * Drop X-Python* headers.
  * Install all process management integrations as examples in python-
    celery-common.
  * Use https:// for uscan URL.
  * Drop celeryd binary package.

 -- Michael Fladischer <fladi@debian.org>  Wed, 08 Nov 2017 09:04:37 +0100

celery (4.1.0-1~exp1) experimental; urgency=low

  [ Michael Fladischer ]
  * New upstream release.
  * Add new upstream signing key.
  * Refresh patches for 4.1.0.
  * Bump Standards-Version to 4.0.0.
  * Fix documentation build:
    - Switch to python2-sphinx.
    - Add python2-sphinx-celery to Build-Depends.
    - Bump versioned dependency on kombu.
    - Update doc-base registration.
  * Fix built-time tests by adding missing packages to Build-Depends:
    - python(3)-pytest
    - python(3)-case
    - python(3)-eventlet
    - python(3)-vine
  * Clean up modified files to allow two builds in a row.
  * Remove entrypoint wrappers missing from upstream:
    - celeryd
    - celerybeat
    - celery-multi
  * Reformat packaging files with cme for better readability.
  * Add patch disabling intersphinx to prevent network requests during
    build.

  [ Brian May ]
  * Apply upstream patch to allow Sphinx to strip memory addresses.
    Closes: #868808.

 -- Michael Fladischer <fladi@debian.org>  Mon, 31 Jul 2017 17:46:38 +0200

=== debian/control ===
Source: celery
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Brian May <bam@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 docbook-to-man,
 dvipng,
 locales,
 python-all,
 python-billiard (>= 3.3.0.23),
 python-case,
 python-dateutil,
 python-doc,
 python-eventlet,
 python-gevent,
 python-kombu (>= 4.0.2+really4.0.2),
 python-kombu-doc,
 python-mailer,
 python-memcache,
 python-mock (>= 1.0.1),
 python-nose,
 python-openssl,
 python-pyparsing,
 python-pytest,
 python-pytyrant,
 python-redis,
 python-setuptools,
 python-sqlalchemy,
 python-tz,
 python-unittest2,
 python-vine,
 python3-all,
 python3-billiard (>= 3.3.0.23),
 python3-case,
 python3-dateutil,
 python3-doc,
 python3-eventlet,
 python3-kombu (>= 4.0.2+really4.0.2),
 python3-memcache,
 python3-mock (>= 1.0.1),
 python3-nose,
 python3-openssl,
 python3-pyparsing,
 python3-pytest,
 python3-redis,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-celery,
 python3-sqlalchemy,
 python3-tz,
 python3-vine,
 texlive-latex-base,
 texlive-latex-extra,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/celery.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/celery.git
Homepage: http://www.celeryproject.org/

Package: python-celery
Architecture: all
Depends:
 python-billiard (>= 3.3.0.23),
 python-dateutil,
 python-ephem,
 python-kombu (>= 3.0.34),
 python-mailer,
 python-memcache,
 python-pkg-resources,
 python-pyparsing,
 python-tz,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-celery-doc,
 python-gevent,
 python-pytyrant,
 python-redis,
 python-sqlalchemy,
Description: async task/job queue based on message passing (Python2 version)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the Python 2 version of the library.

Package: python-celery-common
Architecture: all
Depends:
 python3-celery (= ${binary:Version}) | python-celery (= ${binary:Version}),
 ${misc:Depends},
Breaks:
 python-celery (<< 3.1.12-2),
Replaces:
 python-celery (<< 3.1.12-2),
Description: async task/job queue based on message passing (common files)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the common files of the library.

Package: python-celery-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: async task/job queue based on message passing (Documentation)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the documentation.

Package: python3-celery
Architecture: all
Depends:
 python3-billiard (>= 3.3.0.23),
 python3-dateutil,
 python3-ephem,
 python3-kombu (>= 3.0.34),
 python3-memcache,
 python3-pkg-resources,
 python3-pyparsing,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-celery-doc,
 python3-redis,
 python3-sqlalchemy,
Description: async task/job queue based on message passing (Python3 version)
 Celery is an open source asynchronous task queue/job queue based on
 distributed message passing. It is focused on real-time operation,
 but supports scheduling as well.
 .
 The execution units, called tasks, are executed concurrently on one
 or more worker nodes. Tasks can execute asynchronously (in the
 background) or synchronously (wait until ready).
 .
 Celery is written in Python, but the protocol can be implemented
 in any language. It can also operate with other languages using
 webhooks.
 .
 The recommended message broker is RabbitMQ, but limited support for Redis,
 Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
 ORM) is also available. Celery is easy to integrate with Django, using the
 python-django-celery package.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

PREFIX = debian/python-celery
PREFIX3 = debian/python3-celery
PREFIXC = debian/python-celery-common

export PYBUILD_NAME=celery

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installman:
	docbook-to-man debian/manpage.celery.sgml > celery.1
	dh_installman

override_dh_auto_test:
	PYTHONPATH=. LC_ALL=C.UTF-8 \
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test"

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_auto_install:
	dh_auto_install
	rm $(PREFIX)/usr/bin/celery
	rm $(PREFIX3)/usr/bin/celery
	rmdir --ignore-fail-on-non-empty --parents $(PREFIX)/usr/bin $(PREFIX3)/usr/bin

override_dh_install:
	dh_install
	# Fix permissions
	chmod 755 $(PREFIXC)/usr/bin/celery

override_dh_installchangelogs:
	dh_installchangelogs Changelog

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-celery-doc/usr/share/doc/python-celery-doc/html
	dh_sphinxdoc
endif

## celery 4.2.0

=== debian/changelog ===
celery (4.2.0-1) unstable; urgency=low

  * New upstream release.
  * Replace debian/upstream-signing-key.pgp with debian/upstream/signing-
    key.asc.
  * Refresh patches.
  * Bump minimum kombu version to 4.2.0.
  * Add patch to remove upper version cap for pytest.
  * Bump Standards-Version to 4.1.4.
  * Remove async documentation from doc-base registration as it is no
    longer shipped by upstream.
  * Skip sphinx test as it fails and is not directly related to celery.
  * Fix spelling errors in patch descriptions as flagged by lintian.

 -- Michael Fladischer <fladi@debian.org>  Thu, 21 Jun 2018 16:51:21 +0200

celery (4.1.0-4) unstable; urgency=medium

  * Run upstream tests with pytest instead of nose. Closes: 888407.

 -- Brian May <bam@debian.org>  Tue, 03 Apr 2018 08:38:39 +1000

celery (4.1.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Michael Fladischer ]
  * Add patch to disable pytest (>=3.3) log capturing to avoid changing
    log handlers (Closes: #892640).
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.3.
  * Enable autopkgtest-pkg-python testsuite.
  * Always use pristine-tar.

 -- Michael Fladischer <fladi@debian.org>  Wed, 28 Mar 2018 21:32:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: celery
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  docbook-to-man,
  dvipng,
@@ -19,7 +18,7 @@
  python-doc,
  python-eventlet,
  python-gevent,
- python-kombu (>= 4.0.2+really4.0.2),
+ python-kombu (>= 4.2.0),
  python-kombu-doc,
  python-mailer,
  python-memcache,
@@ -41,7 +40,7 @@
  python3-dateutil,
  python3-doc,
  python3-eventlet,
- python3-kombu (>= 4.0.2+really4.0.2),
+ python3-kombu (>= 4.2.0),
  python3-memcache,
  python3-mock (>= 1.0.1),
  python3-nose,
@@ -57,9 +56,9 @@
  python3-vine,
  texlive-latex-base,
  texlive-latex-extra,
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/celery.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/celery.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/python-team/modules/celery
+Vcs-Git: https://salsa.debian.org/python-team/modules/celery.git
 Homepage: http://www.celeryproject.org/
 
 Package: python-celery
@@ -68,7 +67,7 @@
  python-billiard (>= 3.3.0.23),
  python-dateutil,
  python-ephem,
- python-kombu (>= 3.0.34),
+ python-kombu (>= 4.2.0),
  python-mailer,
  python-memcache,
  python-pkg-resources,
@@ -164,7 +163,7 @@
  python3-billiard (>= 3.3.0.23),
  python3-dateutil,
  python3-ephem,
- python3-kombu (>= 3.0.34),
+ python3-kombu (>= 4.2.0),
  python3-memcache,
  python3-pkg-resources,
  python3-pyparsing,

## celery 4.2.1

=== Makefile ===
PROJ=celery
PGPIDENT="Celery Security Team"
PYTHON=python
PYTEST=py.test
GIT=git
TOX=tox
ICONV=iconv
FLAKE8=flake8
PYDOCSTYLE=pydocstyle
PYROMA=pyroma
FLAKEPLUS=flakeplus
SPHINX2RST=sphinx2rst
RST2HTML=rst2html.py
DEVNULL=/dev/null

TESTDIR=t

SPHINX_DIR=docs/
SPHINX_BUILDDIR="${SPHINX_DIR}/_build"
README=README.rst
README_SRC="docs/templates/readme.txt"
CONTRIBUTING=CONTRIBUTING.rst
CONTRIBUTING_SRC="docs/contributing.rst"
SPHINX_HTMLDIR="${SPHINX_BUILDDIR}/html"
DOCUMENTATION=Documentation
FLAKEPLUSTARGET=2.7

WORKER_GRAPH="docs/images/worker_graph_full.png"

all: help

help:
	@echo "docs                 - Build documentation."
	@echo "test-all             - Run tests for all supported python versions."
	@echo "distcheck ---------- - Check distribution for problems."
	@echo "  test               - Run unittests using current python."
	@echo "  lint ------------  - Check codebase for problems."
	@echo "    apicheck         - Check API reference coverage."
	@echo "    configcheck      - Check configuration reference coverage."
	@echo "    readmecheck      - Check README.rst encoding."
	@echo "    contribcheck     - Check CONTRIBUTING.rst encoding"
	@echo "    flakes --------  - Check code for syntax and style errors."
	@echo "      flakecheck     - Run flake8 on the source code."
	@echo "      flakepluscheck - Run flakeplus on the source code."
	@echo "      pep257check    - Run pep257 on the source code."
	@echo "readme               - Regenerate README.rst file."
	@echo "contrib              - Regenerate CONTRIBUTING.rst file"
	@echo "clean-dist --------- - Clean all distribution build artifacts."
	@echo "  clean-git-force    - Remove all uncommitted files."
	@echo "  clean ------------ - Non-destructive clean"
	@echo "    clean-pyc        - Remove .pyc/__pycache__ files"
	@echo "    clean-docs       - Remove documentation build artifacts."
	@echo "    clean-build      - Remove setup artifacts."
	@echo "bump                 - Bump patch version number."
	@echo "bump-minor           - Bump minor version number."
	@echo "bump-major           - Bump major version number."
	@echo "release              - Make PyPI release."

clean: clean-docs clean-pyc clean-build

clean-dist: clean clean-git-force

bump:
	bumpversion patch

bump-minor:
	bumpversion minor

bump-major:
	bumpversion major

release:
	python setup.py register sdist bdist_wheel upload --sign --identity="$(PGPIDENT)"

Documentation:
	(cd "$(SPHINX_DIR)"; $(MAKE) html)
	mv "$(SPHINX_HTMLDIR)" $(DOCUMENTATION)

docs: clean-docs Documentation

clean-docs:
	-rm -rf "$(SPHINX_BUILDDIR)" "$(DOCUMENTATION)"

lint: flakecheck apicheck configcheck readmecheck

apicheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) apicheck)

configcheck:
	(cd "$(SPHINX_DIR)"; $(MAKE) configcheck)

flakecheck:
	$(FLAKE8) "$(PROJ)" "$(TESTDIR)"

pep257check:
	$(PYDOCSTYLE) "$(PROJ)"

flakediag:
	-$(MAKE) flakecheck

flakepluscheck:
	$(FLAKEPLUS) --$(FLAKEPLUSTARGET) "$(PROJ)" "$(TESTDIR)"

flakeplusdiag:
	-$(MAKE) flakepluscheck

flakes: flakediag flakeplusdiag pep257check

clean-readme:
	-rm -f $(README)

readmecheck-unicode:
	$(ICONV) -f ascii -t ascii $(README) >/dev/null

readmecheck-rst:
	-$(RST2HTML) $(README) >$(DEVNULL)

readmecheck: readmecheck-unicode readmecheck-rst

$(README):
	$(SPHINX2RST) "$(README_SRC)" --ascii > $@

readme: clean-readme $(README) readmecheck

clean-contrib:
	-rm -f "$(CONTRIBUTING)"

$(CONTRIBUTING):
	$(SPHINX2RST) "$(CONTRIBUTING_SRC)" > $@

contrib: clean-contrib $(CONTRIBUTING)

clean-pyc:
	-find . -type f -a \( -name "*.pyc" -o -name "*$$py.class" \) | xargs rm
	-find . -type d -name "__pycache__" | xargs rm -r

removepyc: clean-pyc

clean-build:
	rm -rf build/ dist/ .eggs/ *.egg-info/ .tox/ .coverage cover/

clean-git:
	$(GIT) clean -xdn

clean-git-force:
	$(GIT) clean -xdf

test-all: clean-pyc
	$(TOX)

test:
	$(PYTHON) setup.py test

cov:
	$(PYTEST) -x --cov="$(PROJ)" --cov-report=html

build:
	$(PYTHON) setup.py sdist bdist_wheel

distcheck: lint test clean

dist: readme contrib clean-dist build


$(WORKER_GRAPH):
	$(PYTHON) -m celery graph bootsteps | dot -Tpng -o $@

clean-graph:
	-rm -f $(WORKER_GRAPH)

graph: clean-graph $(WORKER_GRAPH)

authorcheck:
	git shortlog -se | cut -f2 | extra/release/attribution.py

=== docs/Makefile ===
--- 
+++ 
@@ -6,11 +6,6 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
-
-# User-friendly check for sphinx-build
-ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
-endif
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4

=== examples/django/requirements.txt ===
django>=1.9.8
sqlalchemy>=1.0.14
celery>=4.0

=== debian/changelog ===
celery (4.2.1-5ubuntu1) focal; urgency=medium

  * Fix tests under Python 3.8.
  * set -e in autopkgtests.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 02 Feb 2020 11:55:25 +0100

celery (4.2.1-5fakesync1) eoan; urgency=medium

  * Fake sync due to mismatching orig tarball.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Aug 2019 10:13:01 +0200

celery (4.2.1-5) unstable; urgency=medium

  * Team upload.
  * Fix running tests with pytest 4.
  * Don't try to run autopkgtests with Python 2.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 07 Aug 2019 18:12:10 +0500

celery (4.2.1-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Michael Fladischer ]
  * Bump Standards-Version to 4.4.0.
  * Remove Python2 support.
  * Remove unnecessary version constraint on python3-mock.
  * Remove unnecessary Break and Replaces on older packages.
  * Bump debhelper version to 12.

 -- Michael Fladischer <fladi@debian.org>  Mon, 22 Jul 2019 09:39:34 +0200

celery (4.2.1-3) unstable; urgency=medium

  * Integrate py37-skip-tests patch into gbp-pq.
  * Add patch to relax version requirements on billiard (Closes:
    #923719).
  * Clean up pytest artifacts to allow two builds in a row.
  * Bump Standards-Version to 4.3.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 07 Mar 2019 22:14:11 +0100

celery (4.2.1-2) unstable; urgency=medium

  * Team upload.
  * Skip test_sphinx also in the autopkgtest, like it's done for the
    regular build.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 08:06:32 +0200

celery (4.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

  [ Michael Fladischer ]
  * New upstream release.

  [ Héctor Orón Martínez ]
  * debian/patches/0008-Python-3.7-compat-issues-4852.patch: new
    (Closes: #902900)

  [ Michael Fladischer ]
  * debian/patches/0008-Added-compatibility-with-python-3.7-4902.patch
    new.

  [ Mattia Rizzolo ]
  * Add patch from Matthias Klose to skip two failing tests with py3.7.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Sep 2018 13:17:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,17 @@
 Source: celery
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Brian May <bam@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  dh-python,
  docbook-to-man,
  dvipng,
  locales,
- python-all,
- python-billiard (>= 3.3.0.23),
- python-case,
- python-dateutil,
- python-doc,
- python-eventlet,
- python-gevent,
- python-kombu (>= 4.2.0),
- python-kombu-doc,
- python-mailer,
- python-memcache,
- python-mock (>= 1.0.1),
- python-nose,
- python-openssl,
- python-pyparsing,
- python-pytest,
- python-pytyrant,
- python-redis,
- python-setuptools,
- python-sqlalchemy,
- python-tz,
- python-unittest2,
- python-vine,
  python3-all,
  python3-billiard (>= 3.3.0.23),
  python3-case,
@@ -42,7 +20,7 @@
  python3-eventlet,
  python3-kombu (>= 4.2.0),
  python3-memcache,
- python3-mock (>= 1.0.1),
+ python3-mock,
  python3-nose,
  python3-openssl,
  python3-pyparsing,
@@ -56,60 +34,16 @@
  python3-vine,
  texlive-latex-base,
  texlive-latex-extra,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/celery
 Vcs-Git: https://salsa.debian.org/python-team/modules/celery.git
 Homepage: http://www.celeryproject.org/
 
-Package: python-celery
-Architecture: all
-Depends:
- python-billiard (>= 3.3.0.23),
- python-dateutil,
- python-ephem,
- python-kombu (>= 4.2.0),
- python-mailer,
- python-memcache,
- python-pkg-resources,
- python-pyparsing,
- python-tz,
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-celery-doc,
- python-gevent,
- python-pytyrant,
- python-redis,
- python-sqlalchemy,
-Description: async task/job queue based on message passing (Python2 version)
- Celery is an open source asynchronous task queue/job queue based on
- distributed message passing. It is focused on real-time operation,
- but supports scheduling as well.
- .
- The execution units, called tasks, are executed concurrently on one
- or more worker nodes. Tasks can execute asynchronously (in the
- background) or synchronously (wait until ready).
- .
- Celery is written in Python, but the protocol can be implemented
- in any language. It can also operate with other languages using
- webhooks.
- .
- The recommended message broker is RabbitMQ, but limited support for Redis,
- Beanstalk, MongoDB, CouchDB, and databases (using SQLAlchemy or the Django
- ORM) is also available. Celery is easy to integrate with Django, using the
- python-django-celery package.
- .
- This package contains the Python 2 version of the library.
-
 Package: python-celery-common
 Architecture: all
 Depends:
- python3-celery (= ${binary:Version}) | python-celery (= ${binary:Version}),
+ python3-celery (= ${binary:Version}),
  ${misc:Depends},
-Breaks:
- python-celery (<< 3.1.12-2),
-Replaces:
- python-celery (<< 3.1.12-2),
 Description: async task/job queue based on message passing (common files)
  Celery is an open source asynchronous task queue/job queue based on
  distributed message passing. It is focused on real-time operation,

=== debian/rules ===
#!/usr/bin/make -f

PREFIX3 = debian/python3-celery
PREFIXC = debian/python-celery-common

export PYBUILD_NAME=celery

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installman:
	docbook-to-man debian/manpage.celery.sgml > celery.1
	dh_installman

override_dh_auto_test:
	PYTHONPATH=. LC_ALL=C.UTF-8 \
	dh_auto_test -- --system=custom --test-args="{interpreter} setup.py test -a '-k-test_sphinx'"

override_dh_clean:
	rm -rf docs/.build
	dh_clean

override_dh_auto_install:
	dh_auto_install
	rm $(PREFIX3)/usr/bin/celery
	rmdir --ignore-fail-on-non-empty --parents $(PREFIX3)/usr/bin

override_dh_install:
	dh_install
	# Fix permissions
	chmod 755 $(PREFIXC)/usr/bin/celery

override_dh_installchangelogs:
	dh_installchangelogs Changelog

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-celery-doc/usr/share/doc/python-celery-doc/html
	dh_sphinxdoc
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/celery/celery-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
